#include <stdio.h>
#include <stdlib.h>
#include <stdarg.h>
#include <conio.h>

void die(const char s[], ...)
{
  va_list args;

  fflush(stdout);
  fflush(stderr);

  va_start(args, s);
  vfprintf(stderr, s, args);
  va_end(args);

  fputs("\nPress any key to abort.", stderr);

  getch();
  fputs("\n", stderr);

  exit(1);
}

void *my_alloc(size_t len, const char *name)
{
  void *p;

  p = malloc(len);
  if (!p) die("Not enough memory for %s, wanted %d", name, len);

  return p;
}

void *my_realloc(void *p, size_t len, const char *name)
{
  p = realloc(p, len);
  if (!p) die("Not enough memory for %s, wanted %d", name, len);

  return p;
}
