
#include <stdlib.h>

#include "locodef.h"
#include "datstruc.h"

const char *spriteflags[] = {
	"hasdata", "", "chunked",
	NULL
};


const char *vehspriteflags[] = {
	"hassprites",
	NULL
};

struct varinf vehsprites[] = {
	{ 0x00, 1, 1, "numdir" },
	{ 0x01, 1, 1, "" },
	{ 0x02, 1, 1, "" },
	{ 0x03, 1, 1, "" },
	{ 0x04, 1, 1, "" },
	{ 0x05, 1, 1, "" },
	{ 0x06, 1, 1, "" },
	{ 0x07, 1, 1, "flags", NULL, vehspriteflags },
	{ 0x08, 1, 1, "" },
	{ 0x09, 1, 1, "" },
	{ 0x0A, 1, 1, "" },
	{ 0x0B, 1, 1, "" },
	{ 0x0C, 1, 1, "" },
	{ 0x0D, 1, 1, "" },
	{ 0x0E, 1, 1, "spritenum" },
	{ 0x0F, 1, 3, "" },
	{ 0x12, 4, 1, "" },
	{ 0x16, 4, 1, "" },
	{ 0x1A, 4, 1, "" },
	{ -1 },
};

struct varinf vehunk[] = {
	{ 0x00, 1, 1, "" },
	{ 0x01, 1, 1, "" },
	{ 0x02, 1, 1, "" },
	{ 0x03, 1, 1, "" },
	{ 0x04, 1, 1, "spriteind" },
	{ 0x05, 1, 1, "" },
	{ -1 },
};

const char *vehflags[] = {
	"", "", "", "",
	"", "", "rackrail", "",
	"", "anytrack", "", "",
	"dualhead", "", "refittable", "noannounce",
	NULL
};

struct varinf vehvars[] = {
	{ 0x000, 1, 2, "" },
	{ 0x002, 1, 1, "class" },
	{ 0x003, 1, 1, "" },
	{ 0x004, 1, 1, "" },
	{ 0x005, 1, 1, "" },
	{ 0x006, 1, 1, "nummods" },
	{ 0x007, 1, 1, "costind" },
	{ 0x008, 2, 1, "costfact" },
	{ 0x00A, 1, 1, "reliability" },
	{ 0x00B, 1, 1, "runcostind" },
	{ 0x00C, 2, 1, "runcostfact" },
	{ 0x00E, 1, 1, "" },
	{ 0x00F, 1, 1, "numcompat" },
	{ 0x010, 1,20, "" },
	{ 0x024, 0, 4, "", vehunk },
	{ 0x03C, 0, 4, "sprites", vehsprites },
	{ 0x0B4, 1,36, "" },
	{ 0x0D8, 2, 1, "power" },
	{ 0x0DA, 2, 1, "speed" },
	{ 0x0DC, 2, 1, "rackspeed" },
	{ 0x0DE, 2, 1, "weight" },
	{ 0x0E0, 2, 1, "flags", NULL, vehflags },
	{ 0x0E2, 1,44, "" },
	{ 0x10E, 1, 1, "" },
	{ 0x10F, 1, 1, "visfxtype" },
	{ 0x110, 1, 1, "" },
	{ 0x111, 1, 1, "" },
	{ 0x112, 1, 1, "wakefxtype" },
	{ 0x113, 1, 1, "" },
	{ 0x114, 2, 1, "designed" },
	{ 0x116, 2, 1, "obsolete" },
	{ 0x118, 1, 1, "" },
	{ 0x119, 1, 1, "startsndtype" },
	{ 0x11A, 1,64, "" },
	{ 0x15A, 1, 1, "numsnd" },
	{ 0x15B, 1, 3, "" },
	{ -1 },
};

struct varinf *objvars[0x22] = {
	NULL,	// 00
	NULL,	// 01
	NULL,	// 02
	NULL,	// 03
	NULL,	// 04
	NULL,	// 05
	NULL,	// 06
	NULL,	// 07
	NULL,	// 08
	NULL,	// 09
	NULL,	// 0A
	NULL,	// 0B
	NULL,	// 0C
	NULL,	// 0D
	NULL,	// 0E
	NULL,	// 0F
	NULL,	// 10
	NULL,	// 11
	NULL,	// 12
	NULL,	// 13
	NULL,	// 14
	NULL,	// 15
	NULL,	// 16
	vehvars,	// 17
	NULL,	// 18
	NULL,	// 19
	NULL,	// 1A
	NULL,	// 1B
	NULL,	// 1C
	NULL,	// 1D
	NULL,	// 1E
	NULL,	// 1F
	NULL,	// 20
	NULL,	// 21
};
